diff --git a/tests/data/toulouse_maelis/FamilyService.wsdl b/tests/data/toulouse_maelis/FamilyService.wsdl
index e67d6e4b..ef25e2ce 100644
--- a/tests/data/toulouse_maelis/FamilyService.wsdl
+++ b/tests/data/toulouse_maelis/FamilyService.wsdl
@@ -1584,161 +1852,419 @@
   <wsdl:message name="MaelisFamilyException">
     <wsdl:part element="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="createOrUpdateChildDiet">
     <wsdl:part element="tns:createOrUpdateChildDiet" name="parameters">
     </wsdl:part>
   </wsdl:message>
-  <wsdl:message name="readCountyList">
-    <wsdl:part element="tns:readCountyList" name="parameters">
-    </wsdl:part>
-  </wsdl:message>
-  <wsdl:message name="subscribeActivityResponse">
-    <wsdl:part element="tns:subscribeActivityResponse" name="parameters">
-    </wsdl:part>
-  </wsdl:message>
-  <wsdl:message name="updateCoordinateResponse">
-    <wsdl:part element="tns:updateCoordinateResponse" name="parameters">
-    </wsdl:part>
-  </wsdl:message>
-  <wsdl:message name="updateChildAutorization">
-    <wsdl:part element="tns:updateChildAutorization" name="parameters">
+  <wsdl:message name="readSituationListResponse">
+    <wsdl:part element="tns:readSituationListResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="createOrUpdateFSLResponse">
     <wsdl:part element="tns:createOrUpdateFSLResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
-  <wsdl:message name="readSituationListResponse">
-    <wsdl:part element="tns:readSituationListResponse" name="parameters">
-    </wsdl:part>
-  </wsdl:message>
   <wsdl:message name="updateFamilySituationResponse">
     <wsdl:part element="tns:updateFamilySituationResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="updateChildPAIResponse">
     <wsdl:part element="tns:updateChildPAIResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
-  <wsdl:message name="getActivityRateResponse">
-    <wsdl:part element="tns:getActivityRateResponse" name="parameters">
+  <wsdl:message name="subscribeSchool">
+    <wsdl:part element="tns:subscribeSchool" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="createOrUpdateFSL">
     <wsdl:part element="tns:createOrUpdateFSL" name="parameters">
     </wsdl:part>
   </wsdl:message>
-  <wsdl:message name="subscribeSchool">
-    <wsdl:part element="tns:subscribeSchool" name="parameters">
-    </wsdl:part>
-  </wsdl:message>
   <wsdl:message name="updateFamily">
-    <wsdl:part element="tns:updateFamily" name="parameters">
-    </wsdl:part>
-  </wsdl:message>
-  <wsdl:message name="addSuppliedDocumentResponse">
-    <wsdl:part element="tns:addSuppliedDocumentResponse" name="parameters">
-    </wsdl:part>
-  </wsdl:message>
-  <wsdl:message name="createUpdateQuotient">
-    <wsdl:part element="tns:createUpdateQuotient" name="parameters">
-    </wsdl:part>
-  </wsdl:message>
-  <wsdl:message name="getLevelResponse">
-    <wsdl:part element="tns:getLevelResponse" name="parameters">
+    <wsdl:part element="tns:updateFamily" name="parameters">
     </wsdl:part>
   </wsdl:message>
-  <wsdl:message name="readDietCodeListResponse">
-    <wsdl:part element="tns:readDietCodeListResponse" name="parameters">
+  <wsdl:message name="presubscribeSchoolDerogResponse">
+    <wsdl:part element="tns:presubscribeSchoolDerogResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="getActivityRate">
     <wsdl:part element="tns:getActivityRate" name="parameters">
     </wsdl:part>
   </wsdl:message>
-  <wsdl:message name="isRLExists">
-    <wsdl:part element="tns:isRLExists" name="parameters">
-    </wsdl:part>
-  </wsdl:message>
   <wsdl:message name="updateChildPAI">
     <wsdl:part element="tns:updateChildPAI" name="parameters">
     </wsdl:part>
   </wsdl:message>
-  <wsdl:message name="readCSPListResponse">
-    <wsdl:part element="tns:readCSPListResponse" name="parameters">
-    </wsdl:part>
-  </wsdl:message>
-  <wsdl:message name="readQualityList">
-    <wsdl:part element="tns:readQualityList" name="parameters">
-    </wsdl:part>
-  </wsdl:message>
-  <wsdl:message name="createChild">
-    <wsdl:part element="tns:createChild" name="parameters">
+  <wsdl:message name="readFamilyListResponse">
+    <wsdl:part element="tns:readFamilyListResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="readTownListResponse">
     <wsdl:part element="tns:readTownListResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="readChildIndicatorListResponse">
     <wsdl:part element="tns:readChildIndicatorListResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
-  <wsdl:message name="readCategoryListResponse">
-    <wsdl:part element="tns:readCategoryListResponse" name="parameters">
-    </wsdl:part>
-  </wsdl:message>
-  <wsdl:message name="readCountyListResponse">
-    <wsdl:part element="tns:readCountyListResponse" name="parameters">
-    </wsdl:part>
-  </wsdl:message>
   <wsdl:message name="subscribeActivity">
     <wsdl:part element="tns:subscribeActivity" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="getChildSubscribeSchoolInformationResponse">
     <wsdl:part element="tns:getChildSubscribeSchoolInformationResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
-  <wsdl:message name="updateChildAutorizationResponse">
-    <wsdl:part element="tns:updateChildAutorizationResponse" name="parameters">
-    </wsdl:part>
-  </wsdl:message>
-  <wsdl:message name="isWSRunningResponse">
-    <wsdl:part element="tns:isWSRunningResponse" name="parameters">
-    </wsdl:part>
-  </wsdl:message>
-  <wsdl:message name="readVaccinList">
-    <wsdl:part element="tns:readVaccinList" name="parameters">
+  <wsdl:message name="readSchoolForChildAndLevel">
+    <wsdl:part element="tns:readSchoolForChildAndLevel" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="updatePersonIndicatorList">
     <wsdl:part element="tns:updatePersonIndicatorList" name="parameters">
     </wsdl:part>
   </wsdl:message>
-  <wsdl:message name="addChildVaccinListResponse">
-    <wsdl:part element="tns:addChildVaccinListResponse" name="parameters">
-    </wsdl:part>
-  </wsdl:message>
-  <wsdl:message name="readCategoryList">
-    <wsdl:part element="tns:readCategoryList" name="parameters">
-    </wsdl:part>
-  </wsdl:message>
-  <wsdl:message name="readFamilyByPassword">
-    <wsdl:part element="tns:readFamilyByPassword" name="parameters">
-    </wsdl:part>
-  </wsdl:message>
-  <wsdl:message name="readStreetList">
-    <wsdl:part element="tns:readStreetList" name="parameters">
-    </wsdl:part>
-  </wsdl:message>
   <wsdl:portType name="FamilyService">
+    <wsdl:operation name="readQuotientList">
+<wsdl:documentation>[REF] Renvoie la liste des quotients</wsdl:documentation>
+      <wsdl:input message="tns:readQuotientList" name="readQuotientList">
+    </wsdl:input>
+      <wsdl:output message="tns:readQuotientListResponse" name="readQuotientListResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="readFamily">
+<wsdl:documentation>Renvoie les données de la famille
+
+ -------------------------
+ dossierNumber : numéro de dossier famille
+ schoolYear : année scolaire (facultatif)
+ incomeYear : année des revenus (facultatif), à fournir pour lecture du quotient
+ referenceYear : année de référence (facultatif), à fournir pour lecture du quotient
+ Retourne le dossier famille</wsdl:documentation>
+      <wsdl:input message="tns:readFamily" name="readFamily">
+    </wsdl:input>
+      <wsdl:output message="tns:readFamilyResponse" name="readFamilyResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="isWSRunning">
+<wsdl:documentation>Vérifie si le webservice est OK
+
+ -------------------------
+ Retourne vrai ou faux </wsdl:documentation>
+      <wsdl:input message="tns:isWSRunning" name="isWSRunning">
+    </wsdl:input>
+      <wsdl:output message="tns:isWSRunningResponse" name="isWSRunningResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="readCivilityList">
+<wsdl:documentation>[REF] Renvoie la liste des civilités</wsdl:documentation>
+      <wsdl:input message="tns:readCivilityList" name="readCivilityList">
+    </wsdl:input>
+      <wsdl:output message="tns:readCivilityListResponse" name="readCivilityListResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="readCSPList">
+<wsdl:documentation>[REF] Renvoie la liste des catégories sociaux professionnelles</wsdl:documentation>
+      <wsdl:input message="tns:readCSPList" name="readCSPList">
+    </wsdl:input>
+      <wsdl:output message="tns:readCSPListResponse" name="readCSPListResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="updateFamilySituation">
+<wsdl:documentation>Met à jour la situation familiale
+
+ ------------------------------
+ numDossier : numéro de dossier famille  (obligatoire)
+ category : code catégorie familiale 
+ situation : code situation familiale 
+ flagCom : code/hors commune 
+ nbChild : nombre d'enfants à charge max 99
+ nbTotalChild : nombre d'enfants max 99  
+
+ -----------------------------
+ Traitement : 
+ Le numéro de dossier doit toujours être fourni pour identifier la famille.
+ Les données sont mises à jour :
+  Si une valeur n'est pas fournie, on ne fait rien sur la valeur en base de données.
+  Si elle est fournie vide, on efface l'ancienne valeur dans la base de données. </wsdl:documentation>
+      <wsdl:input message="tns:updateFamilySituation" name="updateFamilySituation">
+    </wsdl:input>
+      <wsdl:output message="tns:updateFamilySituationResponse" name="updateFamilySituationResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="getLevel">
+<wsdl:documentation>Renvoie le niveau scolaire d'un enfant, pour une année scolaire donnée
+
+ -------------------------
+ 	- personNumber : le numéro de l'enfant (obligatoire)
+	- schoolYear : l'année scolaire (obligatoire)
+ Retourne les informations du niveau scolaire </wsdl:documentation>
+      <wsdl:input message="tns:getLevel" name="getLevel">
+    </wsdl:input>
+      <wsdl:output message="tns:getLevelResponse" name="getLevelResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="addChildVaccinList">
+<wsdl:documentation>Ajoue des vaccins à l'historique de vaccination
+
+ ------------------------------
+ numPerson : numéro de l'enfant (obligatoire)
+ vaccinList : liste des vaccins
+ - Code du vaccin (obligatoire)
+ - libelle : libelle non utilisé en mise à jour
+ - vaccinationDate : date de vaccination
+
+ -----------------------------</wsdl:documentation>
+      <wsdl:input message="tns:addChildVaccinList" name="addChildVaccinList">
+    </wsdl:input>
+      <wsdl:output message="tns:addChildVaccinListResponse" name="addChildVaccinListResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="updateFamilyEmergencyPersonList">
+<wsdl:documentation>Met à jour la liste des personnes à prévenir sur la famille
+ La liste comporte toutes les personnes à prévenir.
+ Les personnes non présentes dans cette liste sont supprimées en tant que personne à prévenir.
+
+ ------------------------------
+ numDossier : numéro de dossier famille  (obligatoire)
+ emergencyPersonList : liste des personnes à prévenir
+
+ -----------------------------</wsdl:documentation>
+      <wsdl:input message="tns:updateFamilyEmergencyPersonList" name="updateFamilyEmergencyPersonList">
+    </wsdl:input>
+      <wsdl:output message="tns:updateFamilyEmergencyPersonListResponse" name="updateFamilyEmergencyPersonListResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="updateCoordinate">
+<wsdl:documentation>Met à jour les coordonnées (adresse, téléphones, info CAF) d'une personne
+
+ ------------------------------
+ numDossier : numéro de dossier famille  (obligatoire)
+ numPerson : numéro de personne (obligatoire) 
+ adresse : adresse de la personne 
+ contact : informatin de contact de la personne 
+ CAFInfo : information caf de la personne
+
+ -----------------------------
+ Traitement : 
+  Le numéro de dossier doit toujours être fourni pour identifier la famille.
+  Le numéro de personne doit toujours être fourni pour identifier la personne.
+  Les données sont mises à jour :
+   Si une valeur n'est pas fournie, on ne fait rien sur la valeur en base de données.
+   Si elle est fournie vide, on efface l'ancienne valeur dans la base de données. </wsdl:documentation>
+      <wsdl:input message="tns:updateCoordinate" name="updateCoordinate">
+    </wsdl:input>
+      <wsdl:output message="tns:updateCoordinateResponse" name="updateCoordinateResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="readCountryList">
+<wsdl:documentation>[REF] Renvoie la liste des pays</wsdl:documentation>
+      <wsdl:input message="tns:readCountryList" name="readCountryList">
+    </wsdl:input>
+      <wsdl:output message="tns:readCountryListResponse" name="readCountryListResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="readSituationList">
+<wsdl:documentation>[REF] Renvoie la liste des situations familiales</wsdl:documentation>
+      <wsdl:input message="tns:readSituationList" name="readSituationList">
+    </wsdl:input>
+      <wsdl:output message="tns:readSituationListResponse" name="readSituationListResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="updateChildMedicalRecord">
+<wsdl:documentation>Met à jour les données médicales d'un enfant</wsdl:documentation>
+      <wsdl:input message="tns:updateChildMedicalRecord" name="updateChildMedicalRecord">
+    </wsdl:input>
+      <wsdl:output message="tns:updateChildMedicalRecordResponse" name="updateChildMedicalRecordResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="addSuppliedDocument">
+<wsdl:documentation>Ajoute un document pour une famille donnée et éventuellement par rapport à une personne donnée
+
+ ------------------------------
+ numDossier: numéro de dossier famille, obligatoire
+ numPerson : numéro de la personne, fourni si la pièce est pour un enfant
+ documentList :
+	- idDocument : identifiant de la pièce jointe (type de pièce)
+	- depositDate : date de dépôt (si non transmis, date du jour)
+	- filename : nom du fichier avec son extension (.pdf ou autre)
+	- fileSupplied : fichier fourni
+
+ ----------------------------- 
+ Traitement :
+ Les documents sont ajoutés à la liste des documents fournis par la famille.
+ Pas de gestion de validité
+ Retour : 
+   true/false : true si au moins un document a été ajouté, ou false si aucun document indiqué.</wsdl:documentation>
+      <wsdl:input message="tns:addSuppliedDocument" name="addSuppliedDocument">
+    </wsdl:input>
+      <wsdl:output message="tns:addSuppliedDocumentResponse" name="addSuppliedDocumentResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="isChildExists">
+<wsdl:documentation>Vérifie si un enfant existe
+
+ -------------------------
+ 	- firstname : prénom
+	- lastname : nom
+	- dateBirth : date de naissance 
+ Retourne vrai ou faux </wsdl:documentation>
+      <wsdl:input message="tns:isChildExists" name="isChildExists">
+    </wsdl:input>
+      <wsdl:output message="tns:isChildExistsResponse" name="isChildExistsResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="createFamily">
+<wsdl:documentation>Crée un dossier Famille
+
+ -------------------------
+ category : code catégorie familiale (obligatoire)
+ situation : code situation familiale (obligatoire)
+ flagCom : code/hors commune 
+ nbChild : nombre d'enfants à charge max 99
+ nbTotalChild : nombre d'enfants  max 99
+ nbAES : nombre d'AES max 99
+ rl1 : responsable légal 1 (obligatoire)
+ rl2 : résponsable légal 2 (facultatif)  
+ childList : la liste des enfants 
+ isForceCreateChild : null ou false et doublon de RL1 ou d'enfant détecté
+ indicatorList : liste des indicateurs 
+ emergencyPersonList : la liste des personnes à prévenir  
+ Retourne le dossier famille
+
+ -------------------------
+ Traitement : 
+ Un traitement de recherche de doublon est fait pour la création du RL1 et des enfants.
+ Pour le RL1, lorsque la date de naissance est fournie, on recherche si on trouve une personne de type RL1 ou RL2 qui existe avec les mêmes nom, prénom et date de naissance.
+ En cas de doublon, la méthode renvoie pour chaque personne trouvée, le numéro de dossier famille où le RL a été trouvé avec le numéro de personne et le nom/prénom de la personne en doublon.
+ Pour tous les enfants, on recherche si on trouve un enfant qui existe avec les mêmes nom, prénom et date de naissance.
+ En cas de doublon :
+  - Si paramètre de forçage absent ou à faux, la méthode renvoie pour chaque personne trouvée, le numéro de dossier famille où l'enfant a été trouvé avec le numéro de personne et le nom/prénom de la personne en doublon. 
+  - Si paramètre de forçage fourni à vrai, la méthode crée l'enfant s'il est trouvé dans un autre dossier famille.
+ Si les contrôles sur l'intégralité des données de la demande sont OK
+   Création Famille
+     Attribution Mot de passe Famille
+    Création RL1
+    Création RL1 en tant que payeur et redevable
+    Si RL2 renseigné, 
+     Création RL2
+     Création RL2 en tant que payeur et redevable
+    Si Adresse RL2 non renseignée
+      Adresse RL2 = Adresse RL1
+    Sinon
+      Adresse RL2 = Adresse RL1
+ Retour résultat : numéro de dossier, mot de passe
+
+ -------------------------
+	resultBean :
+	* numDossier : numéro de dossier
+	* password : mot de passe portail
+ Cas où isForceCreatechild = null ou false et doublon de RL1 ou d'enfant détecté :
+ 	* rl1ErrorList : Le cas échéant, à chaque doublon de RL, message précisant les n° de personne et n° de famille dans lesquelles la personne est déjà présente en tant que RL.
+	* childErrorList : Le cas échéant, à chaque doublon d'enfant détecté correspondra un message précisant les n° de personne et n° de familles dans lesquelles il est déjà présent.</wsdl:documentation>
+      <wsdl:input message="tns:createFamily" name="createFamily">
+    </wsdl:input>
+      <wsdl:output message="tns:createFamilyResponse" name="createFamilyResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="readChildIndicatorList">
+<wsdl:documentation>[REF] Renvoie la liste des indicateurs pouvant être positionnés sur un enfant</wsdl:documentation>
+      <wsdl:input message="tns:readChildIndicatorList" name="readChildIndicatorList">
+    </wsdl:input>
+      <wsdl:output message="tns:readChildIndicatorListResponse" name="readChildIndicatorListResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="getChildSubscribeSchoolInformation">
+<wsdl:documentation>Renvoie les informations relative à l'inscription scolaire d'un enfant de la famille ainsi que des autres enfants pour les dérogations
+
+ -------------------------
+ Retourne les informations pour inscrire l'enfant ainsi que les informations des autres enfants pour la gestion des dérogations </wsdl:documentation>
+      <wsdl:input message="tns:getChildSubscribeSchoolInformation" name="getChildSubscribeSchoolInformation">
+    </wsdl:input>
+      <wsdl:output message="tns:getChildSubscribeSchoolInformationResponse" name="getChildSubscribeSchoolInformationResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="readPAIList">
+<wsdl:documentation>[REF] Renvoie la liste des PAI (Projet d'Accueil Individualisé)</wsdl:documentation>
+      <wsdl:input message="tns:readPAIList" name="readPAIList">
+    </wsdl:input>
+      <wsdl:output message="tns:readPAIListResponse" name="readPAIListResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="readTownList">
+<wsdl:documentation>[REF] Renvoie la liste des communes</wsdl:documentation>
+      <wsdl:input message="tns:readTownList" name="readTownList">
+    </wsdl:input>
+      <wsdl:output message="tns:readTownListResponse" name="readTownListResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="readOrganList">
+<wsdl:documentation>[REF] Renvoie la  liste des organismes allocataires</wsdl:documentation>
+      <wsdl:input message="tns:readOrganList" name="readOrganList">
+    </wsdl:input>
+      <wsdl:output message="tns:readOrganListResponse" name="readOrganListResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="readFamilyList">
+<wsdl:documentation>Renvoie la liste des dossiers famille
+
+ -------------------------
+ Retourne les informations relatives aux familles correspond aux critères</wsdl:documentation>
+      <wsdl:input message="tns:readFamilyList" name="readFamilyList">
+    </wsdl:input>
+      <wsdl:output message="tns:readFamilyListResponse" name="readFamilyListResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
     <wsdl:operation name="deletesubscribe">
 <wsdl:documentation>Supprime une inscription à une activité, pour un enfant donné
 
  --------------------------
  personNumber : numéro de l'enfant (obligatoire)
  idActivity : identifiant de l'activité (obligatoire)
  dateRefDelete : date de référence pour la suppression (obligatoire)
 
@@ -1767,21 +2293,38 @@
 <wsdl:documentation>[REF] Renvoie la liste des indicateurs pouvant être possitionnés sur un RL</wsdl:documentation>
       <wsdl:input message="tns:readRLIndicatorList" name="readRLIndicatorList">
     </wsdl:input>
       <wsdl:output message="tns:readRLIndicatorListResponse" name="readRLIndicatorListResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
-    <wsdl:operation name="readQuotientList">
-<wsdl:documentation>[REF] Renvoie la liste des quotients</wsdl:documentation>
-      <wsdl:input message="tns:readQuotientList" name="readQuotientList">
+    <wsdl:operation name="presubscribeSchoolSibling">
+<wsdl:documentation>Préinscription avec rapprochement de fratrie
+
+ -------------------------
+Il s'agit de permettre à la famille de demander l'inscription de son enfant dans l'établissement où un autre enfant de la famille est déjà inscrit (la liste des inscriptions des autres enfants est fournie par la méthode getChildSubscribeSchoolInformation.
+ 
+L'enfant est inscrit pour l'année scolaire et le niveau passé en paramètre : 
+		-	L'établissement demandé est enregistré dans le champs 1er établissement demandé de l'inscription scolaire
+		-	L'établissement d'affectation est l'établissement demandé si l'établissement demandé correspond à un établissement du secteur, sinon c'est l'établissement de secteur
+		-	Le type de dérogation est celui paramétré en tant que type d'inscription « portail »
+		-	Le motif de dérogation paramétré en tant que motif de « fratrie » est enregistré dans le code du motif de dérogation
+		-	Le nom du membre de la fratrie est enregistré dans le commentaire de la dérogation
+		-	L'état de l'inscription est « en attente » 
+		-	Le code de liste d'attente est celui paramétré pour les inscriptions portail
+		-	L'état de la dérogation est en attente uniquement si l'établissement demandé ne correspond pas à un établissement du secteur 
+
+
+ -------------------------
+ Renvoie l'inscription scolaire créée</wsdl:documentation>
+      <wsdl:input message="tns:presubscribeSchoolSibling" name="presubscribeSchoolSibling">
     </wsdl:input>
-      <wsdl:output message="tns:readQuotientListResponse" name="readQuotientListResponse">
+      <wsdl:output message="tns:presubscribeSchoolSiblingResponse" name="presubscribeSchoolSiblingResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="readDietCodeList">
 <wsdl:documentation>[REF] Renvoie la liste des régimes alimentaires</wsdl:documentation>
       <wsdl:input message="tns:readDietCodeList" name="readDietCodeList">
     </wsdl:input>
